@import url("style.css");
@import url("slick.css");
@import url("Paperlogy.css");


/*@font-face {
    font-family: 'Pretendard';
    src: url('../font/Pretendard-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('../font/Pretendard-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('../font/Pretendard-Bold.woff2') format('woff2');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}
*/
/* 폰트 - paperlogy */
@font-face {
  font-family: 'Paperlogy';
  font-weight: 100;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-1Thin.woff2') format('woff2'),
        url('../font/Paperlogy-1Thin.woff') format('woff'),
        url('../font/Paperlogy-1Thin.otf') format('opentype'),
        url('../font/Paperlogy-1Thin.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 200;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-2ExtraLight.woff2') format('woff2'),
        url('../font/Paperlogy-2ExtraLight.woff') format('woff'),
        url('../font/Paperlogy-2ExtraLight.otf') format('opentype'),
        url('../font/Paperlogy-2ExtraLight.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 300;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-3Light.woff2') format('woff2'),
        url('../font/Paperlogy-3Light.woff') format('woff'),
        url('../font/Paperlogy-3Light.otf') format('opentype'),
        url('../font/Paperlogy-3Light.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-4Regular.woff2') format('woff2'),
        url('../font/Paperlogy-4Regular.woff') format('woff'),
        url('../font/Paperlogy-4Regular.otf') format('opentype'),
        url('../font/Paperlogy-4Regular.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 500;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-5Medium.woff2') format('woff2'),
        url('../font/Paperlogy-5Medium.woff') format('woff'),
        url('../font/Paperlogy-5Medium.otf') format('opentype'),
        url('../font/Paperlogy-5Medium.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 600;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-6SemiBold.woff2') format('woff2'),
        url('../font/Paperlogy-6SemiBold.woff') format('woff'),
        url('../font/Paperlogy-6SemiBold.otf') format('opentype'),
        url('../font/Paperlogy-6SemiBold.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 700;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-7Bold.woff2') format('woff2'),
        url('../font/Paperlogy-7Bold.woff') format('woff'),
        url('../font/Paperlogy-7Bold.otf') format('opentype'),
        url('../font/Paperlogy-7Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 800;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-8ExtraBold.woff2') format('woff2'),
        url('../font/Paperlogy-8ExtraBold.woff') format('woff'),
        url('../font/Paperlogy-8ExtraBold.otf') format('opentype'),
        url('../font/Paperlogy-8ExtraBold.ttf') format('truetype');
}
@font-face {
  font-family: 'Paperlogy';
  font-weight: 900;
  font-style: normal;
  font-display: swap;
  src: url('../font/Paperlogy-9Black.woff2') format('woff2'),
        url('../font/Paperlogy-9Black.woff') format('woff'),
        url('../font/Paperlogy-9Black.otf') format('opentype'),
        url('../font/Paperlogy-9Black.ttf') format('truetype');
}


/* ===== 기본 초기화 ===== */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
    line-height: 1.5;
    font-family:'Pretendard', Roboto, "Noto Sans KR", sans-serif;
    font-size: 17px;
    color: #111;
    background-color: #fff;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    scroll-behavior: smooth;
}

/* ===== 링크, 버튼 초기화 ===== */
a {
    color: inherit;
    text-decoration: none;
    display:block; 
}

button {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    font: inherit;
    color: inherit;
    cursor: pointer;
}

/* ===== 목록 초기화 ===== */
ul, ol {
    list-style: none;
}

/* ===== 이미지 초기화 ===== */
img {
    max-width: 100%;
    height: auto;
    display: block;
}

/* ===== 폼 요소 초기화 ===== */
input,
textarea,
select {
    font: inherit;
    color: inherit;
    border: none;
    background: none;
    outline: none;
}

textarea {
    resize: none;
}

/* ===== 테이블 초기화 ===== */
table {
    border-collapse: collapse;
    border-spacing: 0;
    width:100%;
}

/* ===== 기타 유틸 ===== */
.hidden {
    display: none !important;
}

.clearfix::after {
    content: "";
    display: block;
    clear: both;
}

/***** 카카오맵 수정 ****/
.root_daum_roughmap .wrap_controllers,
.root_daum_roughmap .cont {
    display: none !important;
}
.root_daum_roughmap .wrap_map{height:100%!important;}


/* 입력창 */
input,textarea, select{
  padding:12px 15px;
  background: var(--main-color-white); 
  border-radius: 8px;
  transition: all 0.3s ease;
  border:1px solid #efefef;
  width:100%;
}


select{padding:12px 45px 12px 15px;}


select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;


    background-image: url("data:image/svg+xml,%3Csvg width='14' height='9' viewBox='0 0 14 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L7 7L13 1' stroke='%23666' stroke-width='2'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 14px;
}
input:focus,
select:focus,
textarea:focus {
    border:1px solid var(--main-color);
    box-shadow:
        0 4px 18px rgba(0, 110, 81, 0.15),
        0 0 25px rgba(0, 110, 81, 0.10);

    transform: translateY(-1px);
}